< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package ct
  Definition Classes
    hmrc
-  package computations
  Definition Classes
    ct
-  package Validators
  Definition Classes
    computations
-  package calculations
  Definition Classes
    computations
-  package capitalAllowanceAndSBA
  Definition Classes
    computations
-  package formats
  Definition Classes
    computations
-  package lowEmissionCars
  Definition Classes
    computations
-  package nir
  Definition Classes
    computations
-  package retriever
  Definition Classes
    computations
- AP1
- AP2
- AP3
- Building
- CP1
- CP100
- CP101
- CP102
- CP103
- CP104
- CP106
- CP107
- CP108
- CP111
- CP113
- CP114
- CP115
- CP116
- CP117
- CP118
- CP14
- CP15
- CP16
- CP17
- CP18
- CP186
- CP19
- CP2
- CP20
- CP21
- CP22
- CP23
- CP234
- CP235
- CP237
- CP238
- CP238a
- CP239
- CP24
- CP240
- CP245
- CP246
- CP247
- CP248
- CP249
- CP25
- CP251
- CP252
- CP253
- CP256
- CP257
- CP258
- CP259
- CP26
- CP263
- CP264
- CP265
- CP266
- CP27
- CP273
- CP274
- CP278
- CP279
- CP28
- CP281
- CP281a
- CP281b
- CP281c
- CP281d
- CP282
- CP283
- CP283a
- CP283b
- CP283c
- CP283d
- CP284
- CP285
- CP286
- CP286a
- CP286b
- CP287
- CP288
- CP288a
- CP288b
- CP289
- CP29
- CP290
- CP290a
- CP290b
- CP290c
- CP290d
- CP291
- CP292
- CP293
- CP294
- CP295
- CP296
- CP297
- CP298
- CP30
- CP301
- CP3010
- CP302
- CP3020
- CP303
- CP3030
- CP305
- CP31
- CP32
- CP33
- CP34
- CP35
- CP36
- CP37
- CP38
- CP39
- CP40
- CP43
- CP44
- CP45
- CP46
- CP47
- CP48
- CP49
- CP50
- CP500
- CP501
- CP502
- CP503
- CP504
- CP505
- CP506
- CP507
- CP508
- CP509
- CP51
- CP510
- CP511
- CP512
- CP513
- CP514
- CP515
- CP52
- CP53
- CP54
- CP55
- CP56
- CP57
- CP58
- CP59
- CP6
- CP666
- CP667
- CP668
- CP669
- CP670
- CP671
- CP672
- CP673
- CP674
- CP7
- CP78
- CP79
- CP8
- CP80
- CP81
- CP81Input
- CP82
- CP83
- CP84
- CP85
- CP86
- CP87
- CP87Input
- CP88
- CP89
- CP90
- CP91
- CP91Input
- CP92
- CP93
- CP95
- CP96
- CP98
- CP980
- CP981
- CP982
- CP983
- CP984
- CP986
- CP99
- CP997
- CP997Abstract
- CP997NI
- CP997c
- CP997d
- CP997e
- CP998
- CP999
- CPAux1
- CPAux2
- CPAux3
- CPQ10
- CPQ1000
- CPQ11
- CPQ117
- CPQ17
- CPQ18
- CPQ19
- CPQ20
- CPQ21
- CPQ321
- CPQ7
- CPQ8
- HmrcAccountingPeriod
- SBA01
- SBAHelper

c

uk.gov.hmrc.ct.computations

# CP296 

###
Companion object CP296

#### case class CP296(value: Option[Int]) extends CtBoxIdentifier with CtOptionalInteger with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, CtOptionalInteger, OptionalCtValue[Int], CtValue[Option[Int]], CtBoxIdentifier, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CP296
2. Serializable
3. Serializable
4. Product
5. Equals
6. CtOptionalInteger
7. OptionalCtValue
8. CtValue
9. CtBoxIdentifier
10. AnyRef
11. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new CP296(value: Option[Int])

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def asBoxString: Option[String]
   Definition Classes
     CtValue
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def asInt: Option[Int]
   Definition Classes
     CtOptionalInteger
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
10.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hasValue: Boolean
    Definition Classes
      OptionalCtValue
12.  def id: String
    Definition Classes
      CtBoxIdentifier
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  def isPositive: Boolean
    Definition Classes
      CtOptionalInteger
15.  def minus(other: Int): Int
    Definition Classes
      CtOptionalInteger
16.  def minus(other: CtInteger): Int
    Definition Classes
      CtOptionalInteger
17.  def minus(other: CtOptionalInteger): Int
    Definition Classes
      CtOptionalInteger
18.  val name: String
    Definition Classes
      CtBoxIdentifier
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  def noValue: Boolean
    Definition Classes
      OptionalCtValue
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  def orZero: Int
    Definition Classes
      CtOptionalInteger
24.  def plus(other: Int): Int
    Definition Classes
      CtOptionalInteger
25.  def plus(other: CtInteger): Int
    Definition Classes
      CtOptionalInteger
26.  def plus(other: CtOptionalInteger): Int
    Definition Classes
      CtOptionalInteger
27.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
28.  val value: Option[Int]
    Definition Classes
      CP296 → CtValue
29.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
30.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
31.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from CtOptionalInteger

### Inherited from OptionalCtValue[Int]

### Inherited from CtValue[Option[Int]]

### Inherited from CtBoxIdentifier

### Inherited from AnyRef

### Inherited from Any

### Ungrouped